/*<editor-fold desc="LAYOUT"> */
html {
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0;
}

body > .pjax-container {
  display: flex;
  min-height: 100vh;
}

header {
  position: relative;
}

header .navbar {
  padding: 0.75rem 0;
}

header .navbar-btn {
  border: none;
  padding: 0;
  background-color: transparent;
  font-size: 1.5rem;
  line-height: 1;
  color: #fff;
}

header .navbar-btn:hover,
header .navbar-btn:active {
  transform: scale(1.25);
}

header .navbar .navbar-collapse {
  position: fixed;
  top: 48px;
  left: 0;
  right: 0;
}

header .navbar .navbar-collapse.show {
  height: calc(100vh - 48px);
}

header .navbar .navbar-nav {
  display: flex;
  list-style: none;
  flex-direction: column;
  justify-content: center;
  gap: 0.5rem;
  height: 100%;
  margin: 0;
  padding: 0;
  text-align: center;
  font-size: 2rem;
}

header .navbar .nav-link:hover,
header .navbar .nav-link:active {
  transform: scale(1.25);
  text-shadow: 0 0 5px rgba(255, 255, 255, 0.25);
}

header .navbar.navbar-scrolled {
  padding: 0.25rem 0;
}

header .navbar.navbar-scrolled .navbar-collapse {
  top: 35px;
}

header .navbar.navbar-scrolled .navbar-collapse.show {
  height: calc(100vh - 35px);
}

header .navbar.navbar-scrolled .fa-bars {
  color: #fff;
}

header .navbar.navbar-scrolled .nav-link {
  color: #fff;
}

header + main {
  margin-top: 3rem
}

main {
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-grow: 1;
  width: 100vw;
  padding-top: 1rem;
}

main h1 {
  text-align: center;
}

main a {
  word-break: break-word;
  overflow-wrap: break-word;
}

main textarea {
  resize: none;
}
/*</editor-fold desc="LAYOUT"> */



/*<editor-fold desc="AUTH"> */
.auth {
  max-width: 320px;
  margin: 0 auto;
}

@media screen and (min-width: 480px) {
  .auth {
    max-width: 480px;
  }
}

.auth .alerts {
  margin-top: 3rem;
}

.auth .alert {
  padding: 1rem;
  gap: 0.75rem;
}

.auth .alert .message {
  font-size: 0.75rem;
}

.auth form {
  max-width: 320px;
  margin-left: auto;
  margin-right: auto;
}

.auth a.btn {
  font-size: 0.6rem;
}
/*</editor-fold desc="AUTH"> */



/*<editor-fold desc="CHATS"> */
.chats .chats-filter {
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
}

.chats .chats-filter .input-group {
  max-width: 296px;
}

.chats .chats-filter .input-group-text {
  border-bottom-left-radius: 0;
  padding-left: 1rem;
  padding-right: 1rem;
}

.chats .list-container {
  max-height: calc(100vh - 3rem - 2rem - 1.65rem - 1.8vw - 0.5rem - 2.08rem - 2px - 1rem);
  padding-bottom: 1rem;
  overflow-y: auto;
}

.chats .list {
  grid-template-columns: 1fr;
}

@media screen and (min-width: 1024px) {
  .chats .list {
    grid-template-columns: 1fr 1fr;
  }

  .chats .list .list-item.last-odd {
    grid-column: 1/-1;
    width: 50%;
    justify-self: center;
  }
}

.chats .chat-card .card-body {
  justify-content: center;
}

.chats .chat-card .chat-title {
  position: relative;
}

.chats .chat-card .chat-title {
  line-height: 1;
}

.chats .chat-card:has(.news-counter:not(.d-none)) .chat-title {
  padding-left: 1.75rem;
}

.chats .chat-card .chat-title .news-counter {
  position: absolute;
  top: 50%;
  left: 0;
  width: 1.25rem;
  height: 1.25rem;
  border-radius: 50%;
  background-color: #DC4C64;
  color: #fff;
  font-size: 0.75rem;
  line-height: 1.25rem;
  text-align: center;
  transform: translateY(-50%);
}

.chats .order-chat-card .chat-title {
  font-size: 0.75rem;
  line-height: 1;
}

.chats .order-chat-card .chat-title:has(.news-counter:not(.d-none)) {
  padding-left: 1.5rem;
}

.chats .order-chat-card .chat-title .news-counter {
  position: absolute;
  top: 50%;
  left: 0;
  width: 1rem;
  height: 1rem;
  border-radius: 50%;
  background-color: #DC4C64;
  color: #fff;
  font-size: 0.5rem;
  line-height: 1rem;
  text-align: center;
  transform: translateY(-50%);
}

.chats .order-chat-card .order-client {
  margin-top: 0.75rem;
  line-height: 1;
}

.chats .chat-link .online-display {
  display: block;
  margin-top: 0.25rem;
  font-size: 0.75rem;
  line-height: 0.75rem;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.chats .chat-link .new-counter {
  position: absolute;
  left: 0.5rem;
  top: 50%;
  transform: translateY(-50%);
  display: none;
  width: 1rem;
  height: 1rem;
  border-radius: 50%;
  background-color: #dc4c64;
  color: #fff;
  line-height: 1rem;
  font-size: 0.575rem;
  text-align: center;
}

.chats .chat-link.new .new-counter {
  display: block;
}

.chats .chat-messages {
  position: relative;
  display: flex;
  list-style: none;
  flex-direction: column;
  flex: 1 1 auto;
  margin: 0;
  height: calc(100vh - 3rem - 1.65rem - 1.8vw - 0.5rem - 1rem - 1rem - 80px);
  border: 1px solid #e0e0e0;
  border-bottom: none;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  background-color: rgba(159, 166, 178, 0.125);
  padding: 0.5rem;
  overflow-y: auto;
  gap: 1rem;
}

.chats .chat-message {
  width: 80%;
  padding: 0.5rem;
}

@media screen and (min-width: 640px) {
  .chats .chat-message {
    width: 60%;
  }
}

.chats .chat-message.my {
  margin-left: 20%;
}

@media screen and (min-width: 640px) {
  .chats .chat-message.my {
    margin-left: 40%;
  }
}

.chats .chat-message .info {
  display: flex;
  justify-content: space-between;
  font-size: 0.65rem;
  margin-bottom: 0.75rem;
}

.chats .chat-message .content {
  font-size: 0.8rem;
}

.chats .chat-message .content p:last-child {
  margin-bottom: 0;
}

.chats .chat-form textarea {
  height: 80px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  resize: none;
}
/*</editor-fold desc="CHATS"> */



/*<editor-fold desc="ORDER"> */
.order .accordion-body {
  font-size: 0.75rem;
}

.order .accordion-body > ol,
.order .accordion-body > ul {
  padding-left: 1rem;
}
/*</editor-fold desc="ORDER"> */



/*<editor-fold desc="ORDERS"> */
.orders .list {
  grid-template-columns: 1fr;
}

@media screen and (min-width: 1024px) {
  .orders .list {
    grid-template-columns: 1fr 1fr;
  }

  .orders .list .list-item:last-child:nth-child(odd) {
    justify-self: center;
    grid-column: 1 / -1;
    width: calc(50% - 0.5rem);
  }
}

.orders .order-card .order-id {
  font-size: 0.75rem;
  line-height: 1;
}

.orders .order-card .order-client {
  margin-top: 0.75rem;
  margin-bottom: 1.25rem;
  line-height: 1;
}

.orders .order-card .card-details {
  grid-template-columns: 1fr 1fr 1fr;
  font-size: 0.75rem;
}
/*</editor-fold desc="ORDERS"> */



/*<editor-fold desc="ORDER-INFOS"> */
.order-infos .list {
  grid-template-columns: 1fr;
}

@media screen and (min-width: 1024px) {
  .order-infos .list {
    grid-template-columns: 1fr 1fr;
  }

  .order-infos .list .list-item:last-child:nth-child(odd) {
    justify-self: center;
    grid-column: 1 / -1;
    width: calc(50% - 0.5rem);
  }
}

.order-infos .order-info-card .order-info-area {
  font-size: 0.675rem;
}

.order-infos .order-info-card .order-info-address {
  margin-bottom: 0.5rem;
}

.order-infos .order-info-card .card-details {
  grid-template-columns: 1fr 1fr;
  font-size: 0.675rem;
}
/*</editor-fold desc="ORDER-INFOS"> */



/*<editor-fold desc="REVIEWS"> */
.reviews .list {
  grid-template-columns: 1fr;
}

@media screen and (min-width: 1024px) {
  .reviews .list {
    grid-template-columns: 1fr 1fr;
  }

  .reviews .list .list-item:last-child:nth-child(odd) {
    justify-self: center;
    grid-column: 1 / -1;
    width: calc(50% - 0.5rem);
  }
}

.reviews .review-card .review-id {
  font-size: 0.75rem;
  line-height: 1;
}

.reviews .review-card .review-client {
  margin-top: 0.75rem;
  font-size: 0.75rem;
}

.reviews .review-card .review-content {
  margin-top: 0.75rem;
  margin-bottom: 1.25rem;
}

.reviews .review-card .card-details {
  grid-template-columns: 1fr 1fr 1fr;
  font-size: 0.75rem;
}

.reviews .review-card .card-details .review-address {
  grid-column: span 2;
}

.reviews .review-card .card-details .review-rework-comment {
  grid-column: span 3;
}
/*</editor-fold desc="REVIEWS"> */



/*<editor-fold desc="REVIEWS-FREE"> */
.reviews-free .list-filter form {
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
}

.reviews-free .list-filter .filter-input {
  width: 296px;
}

.reviews-free .list-filter .toolbar {
  grid-template-columns: 1fr 1fr;
  width: 296px;
}

.reviews-free .list-filter .toolbar button:first-child {
  grid-column: 1/-1;
}

@media screen and (min-width: 800px) {
  .reviews-free .list-filter .toolbar {
    grid-template-columns: 1fr 1fr 1fr;
    width: 608px;
  }

  .reviews-free .list-filter .toolbar button:first-child {
    grid-column: auto;
  }
}

@media screen and (min-width: 1600px) {
  .reviews-free .list-filter .toolbar {
    width: auto;
  }
}

/*</editor-fold desc="REVIEWS-FREE"> */



/*<editor-fold desc="REVIEW"> */
.review .image-preview {
  width: 100%;
  height: auto;
}

.review .details {
  border-collapse: separate;
  border-spacing: 0 1rem;
}

@media screen and (min-width: 1024px) {
  .review .details {
    border-spacing: 0 1rem;
  }
}

.review .details th {
  display: block;
}

@media screen and (min-width: 1024px) {
  .review .details th {
    display: table-cell;
  }
}

.review .details td {
  display: block;
}

@media screen and (min-width: 1024px) {
  .review .details td {
    display: table-cell;
    padding-left: 1rem;
  }
}
.review .details td .badge {
  display: block;
  margin: 0 -0.35rem;
  padding: 0.35rem;
  font-size: 1rem;
  line-height: inherit;
  white-space: wrap;
  text-align: left;
}

.review .details td p:last-child {
  margin-bottom: 0;
}

.review .photos {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
/*</editor-fold desc="REVIEW"> */



/*<editor-fold desc="PAYMENTS"> */
.payments .list-filter form {
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
}

.payments .list-filter form > :first-child {
  max-width: 296px;
}

.payments .list {
  grid-template-columns: 1fr;
}

@media screen and (min-width: 1024px) {
  .payments .list {
    grid-template-columns: 1fr 1fr;
  }

  .payments .list .list-item:last-child:nth-child(odd) {
    justify-self: center;
    grid-column: 1 / -1;
    width: calc(50% - 0.5rem);
  }
}

.payments .payment-card .payment-date {
  display: block;
  margin-bottom: 1.25rem;
}

.payments .payment-card .details {
  grid-template-columns: 1fr 1fr;
  font-size: 0.75rem;
}
/*</editor-fold desc="PAYMENTS"> */



/*<editor-fold desc="NOTIFICATIONS"> */
.notifications .notification-card .notification-date {
  display: block;
  margin-bottom: 1.25rem;
  font-size: 0.75rem;
}
/*</editor-fold desc="NOTIFICATIONS"> */


/*<editor-fold desc="INSTRUCTION"> */
.instruction img {
  max-width: 100%;
}
/*</editor-fold desc="/INSTRUCTION"> */
